Runtime

## org.eclipse.gmf.runtime.diagram.ui.figures
Class BorderItemsAwareFreeFormLayer.BorderItemAwareFreeFormHelper

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.figures.BorderItemsAwareFreeFormLayer.BorderItemAwareFreeFormHelper

All Implemented Interfaces:
  FreeformListener

Enclosing class:
  BorderItemsAwareFreeFormLayer

public class BorderItemsAwareFreeFormLayer.BorderItemAwareFreeFormHelper
extends java.lang.Object
implements FreeformListener

The helper class used by the border item aware free form layer This helper class will calculate the correct extent of the layer, considering the border items

Constructor Summary
`BorderItemsAwareFreeFormLayer.BorderItemAwareFreeFormHelper(FreeformFigure host)`

Method Summary
`Rectangle` `getFreeformExtent()`
`void` `hookChild(IFigure child)`
`void` `notifyFreeformExtentChanged()`
`void` `reset()`
`void` `setFreeformBounds(Rectangle bounds)`
`void` `unhookChild(IFigure child)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderItemsAwareFreeFormLayer.BorderItemAwareFreeFormHelper

    public BorderItemsAwareFreeFormLayer.BorderItemAwareFreeFormHelper(FreeformFigure host)

Method Detail

### reset

    public void reset()

### getFreeformExtent

    public Rectangle getFreeformExtent()

### hookChild

    public void hookChild(IFigure child)

### notifyFreeformExtentChanged

    public void notifyFreeformExtentChanged()

  Specified by:
    `notifyFreeformExtentChanged` in interface `FreeformListener`

### setFreeformBounds

    public void setFreeformBounds(Rectangle bounds)

### unhookChild

    public void unhookChild(IFigure child)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.